<Type Name="IMenuCommandService" FullName="System.ComponentModel.Design.IMenuCommandService">
  <TypeSignature Language="C#" Value="public abstract interface IMenuCommandService;" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base />
  <Interfaces />
  <Attributes>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="ShowContextMenu">
      <MemberSignature Language="C#" Value="public virtual void ShowContextMenu (CommandID menuID, int x, int y);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="menuID" Type="System.ComponentModel.Design.CommandID" />
		<Parameter Name="x" Type="System.Int32" />
		<Parameter Name="y" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="menuID">To be added: an object of type 'CommandID'</param>
        <param name="x">To be added: an object of type 'int'</param>
        <param name="y">To be added: an object of type 'int'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RemoveVerb">
      <MemberSignature Language="C#" Value="public virtual void RemoveVerb (DesignerVerb verb);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="verb" Type="System.ComponentModel.Design.DesignerVerb" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="verb">To be added: an object of type 'DesignerVerb'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RemoveCommand">
      <MemberSignature Language="C#" Value="public virtual void RemoveCommand (MenuCommand command);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="command" Type="System.ComponentModel.Design.MenuCommand" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="command">To be added: an object of type 'MenuCommand'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GlobalInvoke">
      <MemberSignature Language="C#" Value="public virtual bool GlobalInvoke (CommandID commandID);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="commandID" Type="System.ComponentModel.Design.CommandID" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="commandID">To be added: an object of type 'CommandID'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FindCommand">
      <MemberSignature Language="C#" Value="public virtual MenuCommand FindCommand (CommandID commandID);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.Design.MenuCommand</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="commandID" Type="System.ComponentModel.Design.CommandID" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="commandID">To be added: an object of type 'CommandID'</param>
        <returns>To be added: an object of type 'MenuCommand'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddVerb">
      <MemberSignature Language="C#" Value="public virtual void AddVerb (DesignerVerb verb);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="verb" Type="System.ComponentModel.Design.DesignerVerb" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="verb">To be added: an object of type 'DesignerVerb'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddCommand">
      <MemberSignature Language="C#" Value="public virtual void AddCommand (MenuCommand command);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="command" Type="System.ComponentModel.Design.MenuCommand" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="command">To be added: an object of type 'MenuCommand'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Verbs">
      <MemberSignature Language="C#" Value="public virtual DesignerVerbCollection Verbs { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.Design.DesignerVerbCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DesignerVerbCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
